service: serverless

package:
  individually: true

plugins:
  # - serverless-bundle
  - serverless-plugin-typescript
  - serverless-offline
  - serverless-localstack
  # - serverless-dotenv-plugin # Load .env as environment variables

provider:
  name: aws
  runtime: nodejs18.x
  stage: dev
  region: us-east-1

functions:
  rest:
    handler: src/functions/handler.handler
    url: true
  graphql:
    handler: src/functions/handler.handler
    events:
      - http:
          path: graphql
          method: post
          cors: true
      - http:
          path: graphql
          method: get
